﻿using System;
using System.Windows;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using System.Collections.Generic;
using Microsoft.Phone.Shell;

namespace P4_1
{
    public partial class CommonPage : PhoneApplicationPage
    {
        public CommonPage()
        {
            InitializeComponent();
        }

        private void ApplicationBarMenuItem_Click(object sender, EventArgs e)
        {
            NavigationService.Navigate(new Uri("/Pages/Settings.xaml", UriKind.Relative));
        }

        private void ApplicationBarIconButton_Click(object sender, EventArgs e)
        {
            NavigationService.Navigate(new Uri("/About.xaml", UriKind.Relative));
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            IDictionary<string, string> parameters = this.NavigationContext.QueryString;

            if (parameters.ContainsKey("User_name"))
            {
                txtUserName.Text = "Здравствуйте, "+parameters["User_name"];
            }

            rectColor.Fill = (Application.Current as App).MyBrush;

            base.OnNavigatedTo(e);
        }
    }
}