﻿using System;
using System.Windows;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using System.Windows.Media;
namespace P4_1.Pages
{
    public partial class Settings : PhoneApplicationPage
    {
        public Settings()
        {
            InitializeComponent();
        }

        private void cmdLogOut_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/MainPage.xaml", UriKind.Relative));
        }

        protected override void OnNavigatedFrom(NavigationEventArgs e)
        {

            if (NavigationService.CurrentSource == new Uri("/MainPage.xaml", UriKind.Relative))
            {
                while (NavigationService.CanGoBack)
                {
                    NavigationService.RemoveBackEntry();
                }

                (Application.Current as App).MyBrush.Color = Colors.Green;
            }
            base.OnNavigatedFrom(e);
        }


        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            cpMy.Color = (Application.Current as App).MyBrush.Color;
            base.OnNavigatedTo(e);
        }

        protected override void OnBackKeyPress(System.ComponentModel.CancelEventArgs e)
        {
            (Application.Current as App).MyBrush.Color = cpMy.Color;
            base.OnBackKeyPress(e);
        }
    }
}